%global __provides_exclude perl\\(Youri::Check::.*\\)
%global __requires_exclude perl\\(Youri::(Check::.*|BTS::Bugzilla)\\)

Name:		youri-check
Version:	0.10.3
Release:	%mkrel 3
Summary:	Youri check tool
License:	GPL or Artistic
Group:		Development/Other
Source:		http://youri.zarb.org/download/%{name}-%{version}.tar.gz
Patch0:		fedora.patch
Url:		http://youri.zarb.org/youri-check.html
BuildRequires:	perl-Youri-Utils
# avoid mandriva fork
Requires:	perl-Youri-Config
Requires:	perl-Youri-Package
Requires:	perl-Youri-Utils
BuildArch:	noarch

%description
youri-check is a generic package checking tools. It runs a list of tests on a
list of package sets, and produces corresponding reports.

%prep
%autosetup -p1

%build
%configure2_5x
%make

%check
%__make check

%install
%makeinstall_std
cat > README.urpmi<<EOF
Mageia RPM specific notes

post-installation
-----------------
You need to setup a database, and install related DBI drivers. There is no
schema to create, the application will do it automatically.

You also need to adapt the configuration file to suite your needs, the one
provided is only intended as an example. More details on YAML syntax can be
found in YAML::AppConfig man page.
EOF

%files 
%doc ChangeLog README README.urpmi
%config(noreplace) %{_sysconfdir}/youri
%{_bindir}/youri-check
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/youri
%{_sysconfdir}/bash_completion.d/%{name}


%changelog
* Tue Jun 07 2016 tv <tv> 0.10.3-3.mga6
+ Revision: 1020561
- try to adapt to latest Fedora (mga#18191)
- fix URL

* Fri Feb 19 2016 umeabot <umeabot> 0.10.3-2.mga6
+ Revision: 969135
- Mageia 6 Mass Rebuild

* Mon Aug 10 2015 pterjan <pterjan> 0.10.3-1.mga6
+ Revision: 862363
- Update to 0.10.3 and drop patches

* Wed Aug 05 2015 sander85 <sander85> 0.10.2-7.mga6
+ Revision: 861403
- Fix some dependency on hash ordering (pterjan)

* Wed Oct 15 2014 umeabot <umeabot> 0.10.2-6.mga5
+ Revision: 740582
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.2-5.mga5
+ Revision: 690840
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 0.10.2-4.mga4
+ Revision: 520874
- Mageia 4 Mass Rebuild

  + dams <dams>
    - s/Mandriva/Mageia
    - clean specfile

* Mon Jan 14 2013 umeabot <umeabot> 0.10.2-3.mga3
+ Revision: 387595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 tmb <tmb> 0.10.2-2.mga3
+ Revision: 330532
- fix fedora update git url (P0)

* Tue Nov 27 2012 pterjan <pterjan> 0.10.2-1.mga3
+ Revision: 322473
- 0.10.2

* Wed Apr 13 2011 pterjan <pterjan> 0.10.1-1.mga1
+ Revision: 84107
- imported package youri-check

